for k,tech in pairs(data.raw.technology) do
	if tech.icon then
		data.raw["gui-style"].default["rq-"..tech.name] = 
		{
			type = "frame_style",
			width = 36,
			height = 36,
			scalable = true,
			graphical_set =
			{
				type = "monolith",
				top_monolith_border = 0,
				right_monolith_border = 0,
				bottom_monolith_border = 0,
				left_monolith_border = 0,
				monolith_image =
				{
					filename = tech.icon,
					priority = "extra-high-no-scale",
					width = 64,
					height = 64,
					x=0,
					y=0
				}
			},
			align = "center",
			top_padding  = 0,
			right_padding = 0,
			bottom_padding = 0,
			left_padding = 0,
			flow_style=
			{
				horizontal_spacing = 0,
				vertical_spacing = 0
			}
		}
		data.raw["gui-style"].default["rq-"..tech.name.."large"] = 
		{
			type = "frame_style",
			width = 64,
			height = 64,			
			scalable = false,
			graphical_set =
			{
				type = "monolith",
				top_monolith_border = 0,
				right_monolith_border = 0,
				bottom_monolith_border = 0,
				left_monolith_border = 0,
				monolith_image =
				{
					filename = tech.icon,
					priority = "extra-high-no-scale",
					width = 64,
					height = 64,
					x=0,
					y=0
				}
			},
			align = "center",
			top_padding  = 0,
			right_padding = 0,
			bottom_padding = 0,
			left_padding = 0,
			flow_style=
			{
				horizontal_spacing = 0,
				vertical_spacing = 0
			}
		}
	end
end		

data.raw["gui-style"].default["rq-done-frame"] = 
{
	type = "frame_style",
	width = 36,
	height = 36,
	scalable = true,
	graphical_set =
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__core__/graphics/gui.png",
		  priority = "extra-high-no-scale",
		  width = 36,
		  height = 36,
		  x = 111,
		  y = 108
		}
	},
	top_padding  = 0,
    right_padding = 0,
    bottom_padding = 0,
    left_padding = 0,
	flow_style=
	{
		horizontal_spacing = 0,
		vertical_spacing = 0
    }
}

data.raw["gui-style"].default["rq-inq-frame"] = 
{
	type = "frame_style",
	width = 36,
	height = 36,
	scalable = true,
	graphical_set =
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__core__/graphics/gui.png",
		  priority = "extra-high-no-scale",
		  width = 36,
		  height = 36,
		  x = 111,
		  y = 72
		}
	},
	top_padding  = 0,
    right_padding = 0,
    bottom_padding = 0,
    left_padding = 0,
	flow_style=
	{
		horizontal_spacing = 0,
		vertical_spacing = 0
    }
}

data.raw["gui-style"].default["rq-available-frame"] = 
{
	type = "frame_style",
	width = 36,
	height = 36,
	scalable = true,
	graphical_set =
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__core__/graphics/gui.png",
		  priority = "extra-high-no-scale",
		  width = 36,
		  height = 36,
		  x = 75,
		  y = 72
		}
	},
	top_padding  = 0,
    right_padding = 0,
    bottom_padding = 0,
    left_padding = 0,
	flow_style=
	{
		horizontal_spacing = 0,
		vertical_spacing = 0
    }
}

data.raw["gui-style"].default["rq-button"] = 
{
	type = "button_style",
	font = "default-button",
	default_font_color={r=1, g=1, b=1},
	align = "center",
	width = 36,
	height = 36,
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	default_graphical_set =
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__core__/graphics/gui.png",
		  priority = "extra-high-no-scale",
		  width = 36,
		  height = 36,
		  x = 0,
		  y = 72
		}
	},
	hovered_font_color={r=1, g=1, b=1},
	hovered_graphical_set =
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 36,
		  height = 36,
		  x = 0,
		  y = 0
		}
	},
	clicked_font_color={r=1, g=1, b=1},
	clicked_graphical_set =
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__core__/graphics/gui.png",
		  priority = "extra-high-no-scale",
		  width = 36,
		  height = 36,
		  x = 148,
		  y = 0
		}
	}
}

data:extend(
{{
	type = "font",
	name = "rq-label-text",
	from = "default-bold",
	size = 14,
	border = true,
	border_color = {}
}})

data.raw["gui-style"].default["rq-label"] = 
{    
	type = "label_style",
	parent = "label_style",
	font = "rq-label-text",
	-- font = "default-bold",
	width = 36,
	height = 36,
}

data.raw["gui-style"].default["rq-flow"] = 
{
	type = "flow_style",
	horizontal_spacing = 0,
	vertical_spacing = 0,
	max_on_row = 0,
	resize_row_to_width = true,
	resize_to_row_height = true
}

data.raw["gui-style"].default["rq-frame"] =
{
	type = "frame_style",
	font = "default-frame",
	font_color = {r=1, g=1, b=1},
	top_padding  = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	graphical_set =
	{
		type = "composition",
		filename = "__core__/graphics/gui.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {8, 0}
	},
	flow_style=
	{
		horizontal_spacing = 1,
		vertical_spacing = 1
	}
}

data.raw["gui-style"].default["rq-up-button"] = 
{
	type = "button_style",
	font = "default-button",
	align = "center",
	top_padding = 1,
	right_padding = 1,
	bottom_padding = 1,
	left_padding = 1,
	width = 32,
	height = 16,
	default_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 36,
		  y = 0
		}
	},
	hovered_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 68,
		  y = 0
		}
	},
	clicked_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 100,
		  y = 0
		}
	},
	disabled_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 1,
		  y = 1
		}
	}
}

data.raw["gui-style"].default["rq-down-button"] = 
{
	type = "button_style",
	font = "default-button",
	align = "center",
	top_padding = 1,
	right_padding = 1,
	bottom_padding = 1,
	left_padding = 1,
	width = 32,
	height = 16,
	default_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 36,
		  y = 16
		}
	},
	hovered_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 68,
		  y = 16
		}
	},
	clicked_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 100,
		  y = 16
		}
	},
	disabled_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
		  filename = "__research-queue__/graphics/gui_elements.png",
		  priority = "extra-high-no-scale",
		  width = 32,
		  height = 16,
		  x = 1,
		  y = 1
		}
	}
}

data.raw["gui-style"].default["rq-cancel-button"] = 
{
	type = "button_style",
	font = "default-button",
	align = "center",
	top_padding = 1,
	right_padding = 1,
	bottom_padding = 1,
	left_padding = 1,
	width = 32,
	height = 32,
	default_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
			filename = "__research-queue__/graphics/gui_elements.png",
			priority = "extra-high-no-scale",
			width = 32,
			height = 32,
			x = 36,
			y = 32
		}
	},
	hovered_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
			filename = "__research-queue__/graphics/gui_elements.png",
			priority = "extra-high-no-scale",
			width = 32,
			height = 32,
			x = 68,
			y = 32
		}
	},
	clicked_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
			filename = "__research-queue__/graphics/gui_elements.png",
			priority = "extra-high-no-scale",
			width = 32,
			height = 32,
			x = 100,
			y = 32
		}
	},
	disabled_graphical_set =
	{
		type = "monolith",
        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,
		monolith_image =
		{
			filename = "__research-queue__/graphics/gui_elements.png",
			priority = "extra-high-no-scale",
			width = 32,
			height = 32,
			x = 1,
			y = 1
		}
	}
}

data.raw["gui-style"].default["rq-text-checkbox"] = 
{
	type = "checkbox_style",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	width = 36,
	height = 36,
	scalable = false,
	default_background =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 0,
		y = 64
	},
	hovered_background =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 36,
		y = 64
	},
	clicked_background =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 72,
		y = 64
	},
	checked =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 108,
		y = 64
	}
}

data.raw["gui-style"].default["rq-done-button"] = 
{
	type = "button_style",
	font = "default-semibold",
	default_font_color={r=1, g=1, b=1},
	align = "center",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	default_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {0, 36}
	},
	hovered_font_color={r=1, g=1, b=1},
	hovered_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {8, 36}
	},
	clicked_font_color={r=1, g=1, b=1},
	clicked_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {16, 36}
	}
}

data.raw["gui-style"].default["rq-inq-button"] = 
{
	type = "button_style",
	font = "default-semibold",
	default_font_color={r=1, g=1, b=1},
	align = "center",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	default_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {0, 44}
	},
	hovered_font_color={r=1, g=1, b=1},
	hovered_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {8, 44}
	},
	clicked_font_color={r=1, g=1, b=1},
	clicked_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {16, 44}
	}
}

data.raw["gui-style"].default["rq-available-button"] = 
{
	type = "button_style",
	font = "default-semibold",
	default_font_color={r=1, g=1, b=1},
	align = "center",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	default_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {0, 52}
	},
	hovered_font_color={r=1, g=1, b=1},
	hovered_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {8, 52}
	},
	clicked_font_color={r=1, g=1, b=1},
	clicked_graphical_set =
	{
		type = "composition",
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		corner_size = {3, 3},
		position = {16, 52}
	}
}

data.raw["gui-style"].default["rq-scienceDone-checkbox"] = 
{
	type = "checkbox_style",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	width = 36,
	height = 36,
	scalable = false,
	default_background =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 0,
		y = 100
	},
	hovered_background =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 36,
		y = 100
	},
	clicked_background =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 72,
		y = 100
	},
	checked =
	{
		filename = "__research-queue__/graphics/gui_elements.png",
		priority = "extra-high-no-scale",
		width = 36,
		height = 36,
		x = 108,
		y = 64
	}
}